Get Event
GET
/triggers/{trigger_id}/events/{event_id}Authorization
bearerAuth AuthorizationBearer <token>
Your Maton API key, sent as Authorization: Bearer <MATON_API_KEY>. Create one at https://maton.ai/settings.
In: header
Path Parameters
trigger_id*string
The trigger's unique identifier.
event_id*string
The event's unique identifier.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET \ "https://api.maton.ai/triggers/{trigger_id}/events/{event_id}" \ -H "Authorization: Bearer $MATON_API_KEY"{
"event": {
"event_id": "e7f8a9b0-c1d2-4e3f-8a4b-5c6d7e8f9a0b",
"received_at": "2026-06-20T16:00:09.938161Z",
"payload": {
"scheduled_for": "2026-06-20T16:00:00Z",
"cron_expression": "0 9 * * *",
"timezone": "America/Los_Angeles"
},
"deliveries": [
{
"delivery_id": "b1c2d3e4-f5a6-4b7c-8d9e-0f1a2b3c4d5e",
"destination_id": "3f1a9c2e-7b4d-4e8a-9c1f-2d3e4a5b6c7d",
"status": "SUCCEEDED",
"reason": null,
"attempts": 1,
"last_response_status": 200,
"last_response_body": "{}",
"last_response_duration": 105,
"last_error_message": null,
"destination_url": "https://example.com/hook",
"destination_method": "POST",
"last_attempt_at": "2026-06-20T16:00:33.860432Z",
"created_at": "2026-06-20T16:00:09.938161Z",
"finished_at": "2026-06-20T16:00:33.860432Z"
}
]
}
}{
"message": "Invalid API key.",
"type": "Unauthorized",
"code": 401
}{
"message": "Resource not found.",
"type": "Not Found",
"code": 404
}{
"message": "Too many requests.",
"type": "Too Many Requests",
"code": 429
}{
"message": "Internal server error.",
"type": "Internal Server Error",
"code": 500
}